com.holonplatform.vaadin.flow.components

## Interface ValidatableMultiSelect<T>

- Type Parameters:
    `T` - Selection item type
  All Superinterfaces:
    HasComponent, com.vaadin.flow.component.HasElement, Input<Set<T>>, ItemSet, MultiSelect<T>, Selectable<T>, Serializable, Validatable, ValidatableInput<Set<T>>, ValueComponent<Set<T>>, ValueHolder<Set<T>,ValueHolder.ValueChangeEvent<Set<T>>>

      public interface ValidatableMultiSelect<T>
      extends MultiSelect<T>, ValidatableInput<Set<T>>

  An `MultiSelect` component with validation support using `Validator`s.
  Since:
    5.2.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.Selectable

      `Selectable.SelectionEvent<T>, Selectable.SelectionListener<T>, Selectable.SelectionMode`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.Input

      `Input.InputPropertyRenderer<T>, Input.InputValueConversionException, Input.PropertyHandler<P,T,V extends com.vaadin.flow.component.HasValue<?,T>,C extends com.vaadin.flow.component.Component>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.ValueHolder

      `ValueHolder.ValueChangeEvent<V>, ValueHolder.ValueChangeListener<V,E extends ValueHolder.ValueChangeEvent<V>>`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> ValidatableMultiSelect<T>` | `from(MultiSelect<T> input)` Create a `ValidatableMultiSelect` from given `MultiSelect` instance.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.MultiSelect

      `deselect, deselect, deselect, getFirstSelectedItem, getSelectionMode, list, list, list, list, options, options, options, options, select, select, select, selectAll`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.Selectable

      `addSelectionListener, deselectAll, getSelectedItems, isSelected`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.ItemSet

      `refresh`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.ValidatableInput

      `addValidator, builder, create, forProperty, getValidationStatusHandler, getValue, getValueIfValid, isValidateOnValueChange, setValidateOnValueChange, setValidationStatusHandler`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.Input

      `addReadonlyChangeListener, as, asHasValue, boolean_, builder, builder, create, date, dateTime, enumMultiSelect, enumOptionSelect, enumSelect, focus, from, from, from, from, hasInvalidChangeEventNotifier, hasPlaceholder, hasTitle, isReadOnly, isRequired, localDate, localDateTime, localTime, multiListSelect, multiListSelect, multiListSelect, multiListSelect, multiOptionSelect, multiOptionSelect, multiOptionSelect, multiOptionSelect, number, password, setReadOnly, setRequired, singleListSelect, singleListSelect, singleListSelect, singleListSelect, singleOptionSelect, singleOptionSelect, singleOptionSelect, singleOptionSelect, singleSelect, singleSelect, singleSelect, singleSelect, singleSimpleSelect, singleSimpleSelect, singleSimpleSelect, singleSimpleSelect, string, stringArea`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.ValueHolder

      `addValueChangeListener, clear, getEmptyValue, getValueIfPresent, isEmpty, setValue`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.ValueComponent

      `hasValueChangeMode`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.HasComponent

      `create, getComponent, getElement, hasEnabled, hasLabel, hasSize, hasStyle, hasValidation, isVisible, setVisible`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.Validatable

      `adapt, adapt, adapt, adapt, adapt, isValid, validate`

- - ### Method Detail

    - #### from

          static <T> ValidatableMultiSelect<T> from(MultiSelect<T> input)

      Create a `ValidatableMultiSelect` from given `MultiSelect` instance.
      Specified by:
        `from` in interface `Input<Set<T>>`
      Specified by:
        `from` in interface `ValidatableInput<Set<T>>`
      Type Parameters:
        `T` - Selection item type
      Parameters:
        `input` - The `MultiSelect` instance (not null)
      Returns:
        A new `ValidatableMultiSelect` component which wraps the given `input`

Copyright © 2020 The Holon Platform. All rights reserved.